Move xenial to fwupd 0.8.x branch

Bug #1746114 reported by Mario Limonciello
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fwupd (Ubuntu)
Fix Released
Undecided
Unassigned
Xenial
Fix Released
Undecided
Unassigned

Bug Description

[Impact]
 * Upstream has declared that 0.7.x is EOL
   - No further security updates will be performed for it.
 * Many crashers were fixed in 0.8.x.
 * Upstream can better maintain fwupd ecosystem wide if Ubuntu (the last ones using 0.7.x release) move to 0.8.x or newer.
 * Latest upstream release is 1.0.4 release, but moving to 0.9.x or 1.0.x is difficult due to many dependencies not present in Ubuntu 16.04.
 * Upstream spun this point release specifically for getting Ubuntu xenial on a newer maintainable version.
https://groups.google.com/forum/#!topic/fwupd/R6UyaCtWbqo

New Features:
 - Add --version option to fwupdmgr (Richard Hughes)

Bugfixes:
 - Add a delay when calling update_prepare (Mario Limonciello)
 - Block owned Dell TPM updates (#339) (Mario Limonciello)
 - Catch invalid Dell dock component requests (Mario Limonciello)
 - Disable the dell plugin if libsmbios fails (Mario Limonciello)
 - Do not re-download firmware that exists in the cache (Richard Hughes)
 - Ensure the 8bitdo version is set in non-bootloader mode (Richard Hughes)
 - Fix a logic error with testing for a dell system (Mario Limonciello)
 - Fix compile with newer versions of GUdev (Richard Hughes)
 - Fix crash with dock connected but UEFI capsule off (Mario Limonciello)
 - Use new VID for 8bitdo (Richard Hughes)

[Test Case]
 * Use fwupdmgr to check for and apply a firmware update
 * Use gnome-software to check for and apply a firmware update

[Regression Potential]
 * This is a point release of the 0.8.x release which has been deemed stable.
 * Potential regressions would more likely exist in gnome-software which uses fwupd's interfaces to perform firmware updates.
 * If a regression were to occur, gnome-software may crash or not display a firmware update anymore.

Changed in fwupd (Ubuntu):
status: New → Fix Released
description: updated
description: updated
Revision history for this message
Mario Limonciello (superm1) wrote :

In advance of uploading to the archive to kick off the SRU process, I've uploaded testing packages to this PPA:
https://launchpad.net/~superm1/+archive/ubuntu/lp1746114

description: updated
description: updated
Changed in fwupd (Ubuntu Xenial):
status: New → In Progress
Revision history for this message
Brian Murray (brian-murray) wrote : Please test proposed package

Hello Mario, or anyone else affected,

Accepted fwupd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fwupd/0.8.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fwupd (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-xenial
Revision history for this message
Ivan Hu (ivan.hu) wrote :

testing with Dell XPS 13 9360

Got

UEFI firmware update failed: Unknown error -1

Also check the PPA on comment#1

the same result

UEFI firmware update failed: Unknown error -1

Revision history for this message
Brian Murray (brian-murray) wrote :

This new version of fwupd will also fix bug 1642812 so please set that to Fix Released when this new version becomes released.

Revision history for this message
Mario Limonciello (superm1) wrote : Re: [Bug 1746114] Re: Move xenial to fwupd 0.8.x branch

I'll investigate if I can reproduce this failure.

Can you please confirm the version of fwupdate and libfwup with that
failure?

On Tue, Feb 13, 2018, 09:06 Brian Murray <email address hidden> wrote:

> This new version of fwupd will also fix bug 1642812 so please set that
> to Fix Released when this new version becomes released.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1746114
>
> Title:
> Move xenial to fwupd 0.8.x branch
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/fwupd/+bug/1746114/+subscriptions
>

Revision history for this message
Mario Limonciello (superm1) wrote :

OK so the problem is that the systemd in xenial isn't recognizing some of the options in the unit. I'll come up with a patch for it.

tags: added: verification-failed verification-failed-xenial
removed: verification-needed verification-needed-xenial
Revision history for this message
Mario Limonciello (superm1) wrote :

I've uploaded a new package to proposed fwupd_0.8.3-0ubuntu2 that should resolve the problem with UEFI flashing not working.

Revision history for this message
kabir hossain (kabirdkng) wrote :

not working .. theres showing unable to download firmware update from "fwupd"

Changed in fwupd (Ubuntu Xenial):
status: Fix Committed → Opinion
Revision history for this message
Mario Limonciello (superm1) wrote :

@kabirdkng, the fwupd_0.8.3-0ubuntu2 has not yet been accepted into xenial. It's awaiting an archive administrator to perform this action.

Changed in fwupd (Ubuntu Xenial):
status: Opinion → In Progress
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Mario, or anyone else affected,

Accepted fwupd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fwupd/0.8.3-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fwupd (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-xenial
removed: verification-failed verification-failed-xenial
Revision history for this message
Mario Limonciello (superm1) wrote :

I've verified now since doing the upgrade to 0.8.3-0ubuntu2 from the archive.

# fwupdmgr --version
client version: 0.8.3
daemon version: 0.8.3

# fwupdmgr get-devices
XPS 13 9350
  Guid: 33773727-8ee7-4d81-9fa0-57e8d889e1fa
  DeviceID: UEFI-33773727-8ee7-4d81-9fa0-57e8d889e1fa-dev0
  Plugin: uefi
  Flags: internal|allow-offline|require-ac|supported
  Version: 0.1.6.1
  VersionLowest: 0.1.6.1
  Created: 2018-02-15

Integrated Webcam HD
  Guid: 5dbbe331-d30c-53e0-b08a-82eff6d1a46e
  Guid: 80a521a5-1620-5443-9d3a-016e875ae3b8
  DeviceID: usb:00:05
  Plugin: usb
  Flags: none
  Version: 72.20
  Created: 2018-02-15

Skylake Integrated Graphics
  Guid: 040347ea-2d0b-5cfd-851d-84d8f37dec7f
  DeviceID: ro__sys_devices_pci0000_00_0000_00_02_0
  Plugin: udev
  Flags: internal|locked
  DeviceVendor: Intel Corporation
  Created: 2018-02-15

# fwupdmgr get-results UEFI-33773727-8ee7-4d81-9fa0-57e8d889e1fa-dev0
XPS 13 9350
  Guid: 33773727-8ee7-4d81-9fa0-57e8d889e1fa
  UniqueID: system/*/*/firmware/XPS 13 9350/0.1.6.1
  Plugin: uefi
  Flags: internal|allow-offline|require-ac|supported
  Version: 0.1.6.1
  VersionLowest: 0.1.6.1
  Created: 2018-02-15
  UpdateVersion: 0
  PendingState: success
  Trusted: none

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fwupd - 0.8.3-0ubuntu2

---------------
fwupd (0.8.3-0ubuntu2) xenial; urgency=medium

  * Fix systemd unit for what is actually supported in
    systemd 229 in xenial (LP: #1746114)
  * This bug also fixes issues with USB devices being closed (LP: #1642812)

 -- Mario Limonciello <email address hidden> Wed, 14 Feb 2018 14:32:41 -0500

Changed in fwupd (Ubuntu Xenial):
status: Fix Committed → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote : Update Released

The verification of the Stable Release Update for fwupd has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers